/usr/bin/update-manager:AttributeError:<lambda>:on_livepatch_status_ready

Bug #1805118 reported by errors.ubuntu.com bug bridge on 2018-11-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Andrea Azzarone
Bionic
Undecided
Unassigned

Bug Description

* Impact
The livepatch-reminder code added in 1:18.04.11.7 didn't take into account the case were users don't have software-properties installed and hits an error in those cases

* Test case
Uninstall software-properties-gtk and check that update-manager doesn't display errors when doing the testing from the SRU (lp: 1787553)

or check that the new version gets no errors report

* Regression potential
Check that the livepatch reminder shows as it should in an Ubuntu session

--------------------------------

The Ubuntu Error Tracker has been receiving reports about a problem regarding update-manager. This problem was most recently seen with package version 1:18.04.11.7, the problem page at https://errors.ubuntu.com/problem/ec3470e48ccde71a78f7a1e3de808afe99a62c38 contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

Related branches

Sebastien Bacher (seb128) wrote :

Seems a new issue in the code added in https://launchpad.net/ubuntu/+source/update-manager/1:18.04.11.7 ... Andrea, can you have a look?

Changed in update-manager (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
importance: Undecided → High
Andrea Azzarone (azzar1) on 2018-11-27
Changed in update-manager (Ubuntu):
status: New → In Progress
Changed in update-manager (Ubuntu):
status: In Progress → Fix Committed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:19.04.1

---------------
update-manager (1:19.04.1) disco; urgency=medium

  * Do not show the livepatch reminder if update-manager is running
    on a distribution without software-properties-gtk. (LP: #1805118)

 -- Andrea Azzarone <email address hidden> Tue, 27 Nov 2018 13:26:00 +0000

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released

Hello errors.ubuntu.com, or anyone else affected,

Accepted update-manager into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:18.04.11.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-manager (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Brian Murray (brian-murray) wrote :

There are only 3 crashes with the version of the package in the Error Tracker bucket which I think are just apport noise, setting to verification-done.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:18.04.11.8

---------------
update-manager (1:18.04.11.8) bionic; urgency=medium

  * Do not show the livepatch reminder if update-manager is running
    on a distribution without software-properties-gtk. (LP: #1805118)

update-manager (1:18.04.11.7) bionic; urgency=medium

  * Add a reminder to enable Livepatch (LP: #1787553).
  * Build-Depends on python3-distro-info.

 -- Andrea Azzarone <email address hidden> Tue, 27 Nov 2018 13:26:00 +0000

Changed in update-manager (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for update-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers